<?php
/**
*
* @package - User Status Image or Text MOD
* @author all4phone
* @version $Id$
* @file				acp_usit.php
* @copyright (c) 2011-2012 all4phone (http://phpbbmods.cba.pl/)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_usit
{
	var $u_action;
	function main($id, $mode)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		$action = request_var('action', '');
		$submit = (isset($_POST['submit'])) ? true : false;

		if ($mode != 'index')
		{
			return;
		}

		$this->tpl_name = 'acp_usit';
		$this->page_title = 'ACP_USIT_SETTINGS';

		$usit_enable = request_var('usit_enable', $config['usit_enable']);
		$usit_post_profile = request_var('usit_post_profile', $config['usit_post_profile']);
		$usit_profile = request_var('usit_profile', $config['usit_profile']);
		$usit_member = request_var('usit_member', $config['usit_member']);
		$usit_pm_profile = request_var('usit_pm_profile', $config['usit_pm_profile']);
		$usit_team = request_var('usit_team', $config['usit_team']);
		$usit_text = request_var('usit_text', $config['usit_text']);
		$usit_images = request_var('usit_images', $config['usit_images']);
		
		$form_name = 'acp_usit';
		add_form_key($form_name);

		if ($submit)
		{
			if (!check_form_key($form_name))
			{
				trigger_error($user->lang['FORM_INVALID']. adm_back_link($this->u_action), E_USER_WARNING);
			}

			$error = array();

			$message = $user->lang['ACP_USIT_SETTINGS_CHANGED'];
			$log = 'LOG_USIT_SETTINGS_CHANGED';

			set_config('usit_enable', $usit_enable);
			set_config('usit_post_profile', $usit_post_profile);
			set_config('usit_profile', $usit_profile);
			set_config('usit_member', $usit_member);
			set_config('usit_pm_profile', $usit_pm_profile);
			set_config('usit_team', $usit_team);
			set_config('usit_text', $usit_text);
			set_config('usit_images', $usit_images);
			
			add_log('admin', 'LOG_' . $log);
			trigger_error($message . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'U_ACTION'						=> $this->u_action,
			'USIT_ENABLE'					=> $usit_enable,
			'USIT_POST_PROFILE'				=> $usit_post_profile,
			'USIT_PROFILE'					=> $usit_profile,
			'USIT_MEMBER'					=> $usit_member,
			'USIT_PM_PROFILE'				=> $usit_pm_profile,
			'USIT_TEAM'						=> $usit_team,
			'USIT_VERSION'					=> $config['usit_version'],
			'USIT_TEXT'						=> $usit_text,
			'USIT_IMAGES'					=> $usit_images,
			'USIT_IMAGES_1'					=> $usit_images == '1',
			'USIT_IMAGES_2'					=> $usit_images == '2',
			'USIT_IMAGES_3'					=> $usit_images == '3',
			'USIT_IMAGES_4'					=> $usit_images == '4',
			'USIT_IMAGES_5'					=> $usit_images == '5',
			'USIT_IMAGES_6'					=> $usit_images == '6',
			'USIT_IMAGES_7'					=> $usit_images == '7',
			'USIT_IMAGES_8'					=> $usit_images == '8',
			'USIT_IMAGES_9'					=> $usit_images == '9',
			'USIT_IMAGES_10'				=> $usit_images == '10',
		));
		// Get current and latest version
		$errstr = '';
		$errno = 0;

		$mod_version = $user->lang['NO_INFO'];
		$data = array(
			'title'            => $user->lang['NO_INFO'],
			'download'        => $user->lang['NO_INFO'],
			'announcement'    => $user->lang['NO_INFO'],
		);
 
		// Load Version File From Host
		$file = get_remote_file('phpbbmods.cba.pl', '/updatecheck/', 'usit.xml', $errstr, $errno);
            
		if ($file)
		{

			// let's not stop the page from loading if a mod author messed up their mod check file
			// also take care of one of the easiest ways to mess up an xml file: "&"
			$mod = @simplexml_load_string(str_replace('&', '&amp;', $file));
			if (isset($mod->version_check))
				{
					$row = $mod->version_check;
					$mod_version = $row->mod_version->major . '.' . $row->mod_version->minor . '.' . $row->mod_version->revision . $row->mod_version->release;

					$data = array(
						'title'           => $row->title,
						'download'        => $row->download,
						'announcement'    => $row->announcement,
					);
				}

			// remove spaces from the version in the mod file stored locally
			$version = str_replace(' ', '', $config['usit_version']);
			$version_compare = (version_compare($config['usit_version'], $mod_version, '<')) ? false : true;

			$template->assign_block_vars('mods', array(
				'ANNOUNCEMENT'      => $data['announcement'],
				'CURRENT_VERSION'   => $config['usit_version'],
				'DOWNLOAD'          => $data['download'],
				'LATEST_VERSION'    => $mod_version,
				'TITLE'             => $data['title'],
				'UP_TO_DATE'        => sprintf((!$version_compare) ? $user->lang['NOT_UP_TO_DATE'] : $user->lang['UP_TO_DATE'], $data['title']),
				'S_UP_TO_DATE'      => $version_compare,
			));
		}
	}
}

?>
