<?php
/**
*
* @package - User Status Image or Text MOD
* @author all4phone
* @version $Id$
* @file				install_usit.php
* @copyright (c) 2011-2012 all4phone (http://phpbbmods.cba.pl/)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
 * @ignore
 */
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();


if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

/*
* The language file which will be included when installing
* Language entries that should exist in the language file for UMIL (replace $mod_name with the mod's name you set to $mod_name above)
* $mod_name
* 'INSTALL_' . $mod_name
* 'INSTALL_' . $mod_name . '_CONFIRM'
* 'UPDATE_' . $mod_name
* 'UPDATE_' . $mod_name . '_CONFIRM'
* 'UNINSTALL_' . $mod_name
* 'UNINSTALL_' . $mod_name . '_CONFIRM'
*/
$language_file = 'mods/info_acp_usit';

// The name of the mod to be displayed during installation.
$mod_name = 'ACP_USIT_TITLE';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'usit_version';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	// Version 0.0.1
	// Not released to public (testing only)...
	// Version 0.0.2
	// Some data into the config table
	// Admins can chose text or image for display user status
	'0.0.2' => array(
		'config_add' => array(
			array('usit_enable', '0', 0),
			array('usit_text', '1', 0),
		),

		'module_add' => array(
			array('acp', 'ACP_CAT_DOT_MODS', 'ACP_CAT_USIT'),
			array('acp', 'ACP_CAT_USIT',
				array(
				'module_basename'	=> 'usit',
				'module_langname'   => 'ACP_USIT_CONFIG',
				'module_mode'       => 'index',
				'module_auth'       => 'acl_a_board',
				),
			),
		),
	),
	// Version 1.0.0 
	'1.0.0' => array(
		'config_add' => array(
			array('usit_images', '2', 0),
		),
	),
	// Version 1.1.0 RC
	// Deleted way to hide Banned users in memberlist_body, it was too stupid idea :) 
	// Added in ACP a choice on/off "Status display" in the Post Profiles, Profiles, Memberlist (independent).
	'1.1.0' => array(
		'config_add' => array(
			array('usit_post_profile', '0', 0),
			array('usit_profile', '0', 0),
			array('usit_member', '0', 0),
		),
	),
	// Version 1.1.1
	// Added in ACP a choice on/off "Status display" on the view PM.
	'1.1.1' => array(
		'config_add' => array(
			array('usit_pm_profile', '0', 0),
		),
	),
	// Version 1.1.2
	'1.1.2' => array(
		'permission_set' => array(

			// Global  permissions for Registered
			array('ROLE_USER_STANDARD', 'u_viewonline', 'role', true),
			array('REGISTERED', 'u_viewonline', 'group', true),
			// Global  permissions for Newly
			array('ROLE_USER_NEW_MEMBER', 'u_viewonline', 'role', true),
			array('NEWLY_REGISTERED', 'u_viewonline', 'group', true),
		),
	),
	// Version 1.1.3
	'1.1.3'	=> array(
	// Add a table
		'table_column_add' => array(
			array('phpbb_users', 'user_online', array('BOOL', 0)),
		),
		'config_add' => array(
			array('usit_team', '0', 0),
		),
	),
	// Version 1.2.0
	'1.2.0' => array(
	// Nothing changed in this version
	// Fixed several bugs only
	),
	// Version 1.2.1
	'1.2.1' => array(
	// Nothing changed in this version
	// Adjustment to phpBB 3.0.11
	// Added Version Check MOD
	),
	// Version 1.2.2
	'1.2.2' => array(
	// Nothing changed in this version
	// Adjustment to phpBB 3.0.12
		'cache_purge' => array('', 'template', 'theme'),
	),
	// Version 1.2.3
	'1.2.3' => array(
	// Nothing changed in this version
	// Added italian, spanish and french translations
	),
);

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>